### org.jfree.layouting.layouter.content.computed

# Class CountersToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.computed.ComputedToken`
  - - `org.jfree.layouting.layouter.content.computed.CountersToken`

Implemented Interfaces:
  ContentToken

`public class CountersToken`
`extends ComputedToken`

This is a meta-token. It must be completly resolved during the ContentNormalization, and must be replaced by a sequence of 'Counter' tokens.

Author:
  Thomas Morgner

  ## Constructor Summary

  `CountersToken(String name, String separator, CounterStyle style)`

  ## Method Summary

  `String`

  `getName()`

  `String`

  `getSeparator()`

  `CounterStyle`

  `getStyle()`

## Constructor Details

### CountersToken

    public CountersToken(String name,
                         String separator,
                         CounterStyle style)

## Method Details

### getName

    public String getName()

### getSeparator

    public String getSeparator()

### getStyle

    public CounterStyle getStyle()